Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.aop
Interface ClassFilter

All Known Implementing Classes:
  AnnotationClassFilter, AspectJExpressionPointcut, ControlFlowPointcut, DefaultIntroductionAdvisor, RootClassFilter, TypePatternClassFilter

    public interface ClassFilter

Filter that restricts matching of a pointcut or introduction to a given set of target classes.

Can be used as part of a `Pointcut` or for the entire targeting of an `IntroductionAdvisor`.

Author:
  Rod Johnson
See Also:
  `Pointcut`, `MethodMatcher`

Field Summary
`static ClassFilter` | `TRUE` Canonical instance of a ClassFilter that matches all classes.

Method Summary
`boolean` | `matches(Class<?> clazz)` Should the pointcut apply to the given interface or target class?

Field Detail

### TRUE

    static final ClassFilter TRUE

  Canonical instance of a ClassFilter that matches all classes.

Method Detail

### matches

    boolean matches(Class<?> clazz)

  Should the pointcut apply to the given interface or target class?

  Parameters:
    `clazz` - the candidate target class
  Returns:
    whether the advice should apply to the given target class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD